org.apache.poi.hsmf.datatypes

## Class MessagePropertiesChunk

- java.lang.Object
- - org.apache.poi.hsmf.datatypes.Chunk
  - - org.apache.poi.hsmf.datatypes.PropertiesChunk
    - - org.apache.poi.hsmf.datatypes.MessagePropertiesChunk

-     public class MessagePropertiesChunk
      extends PropertiesChunk

  A `PropertiesChunk` for a Message or Embedded-Message. This has a 32 byte header

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hsmf.datatypes.PropertiesChunk

      `NAME, PROPERTIES_FLAG_READABLE, PROPERTIES_FLAG_WRITEABLE, VARIABLE_LENGTH_PROPERTY_PREFIX`

    - ### Fields inherited from class org.apache.poi.hsmf.datatypes.Chunk

      `DEFAULT_NAME_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagePropertiesChunk(ChunkGroup parentGroup)`
    `MessagePropertiesChunk(ChunkGroup parentGroup, boolean isEmbedded)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAttachmentCount()`
    `long` | `getNextAttachmentId()`
    `long` | `getNextRecipientId()`
    `long` | `getRecipientCount()`
    `protected void` | `readProperties(java.io.InputStream stream)`
    `void` | `readValue(java.io.InputStream value)` Reads the value of this chunk using an InputStream
    `void` | `setAttachmentCount(long attachmentCount)`
    `void` | `setNextAttachmentId(long nextAttachmentId)`
    `void` | `setNextRecipientId(long nextRecipientId)`
    `void` | `setRecipientCount(long recipientCount)`
    `protected java.util.List<PropertyValue>` | `writeProperties(java.io.OutputStream stream)` Writes the header of the properties.
    `void` | `writeValue(java.io.OutputStream stream)` Writes the value of this chunk back out again.

    - ### Methods inherited from class org.apache.poi.hsmf.datatypes.PropertiesChunk

      `getEntryName, getProperties, getRawProperties, getRawValue, getValues, matchVariableSizedPropertiesToChunks, setProperty, writeNodeData, writeProperties`

    - ### Methods inherited from class org.apache.poi.hsmf.datatypes.Chunk

      `getChunkId, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessagePropertiesChunk

          public MessagePropertiesChunk(ChunkGroup parentGroup)

    - #### MessagePropertiesChunk

          public MessagePropertiesChunk(ChunkGroup parentGroup,
                                        boolean isEmbedded)

  - ### Method Detail

    - #### getNextRecipientId

          public long getNextRecipientId()

    - #### getNextAttachmentId

          public long getNextAttachmentId()

    - #### getRecipientCount

          public long getRecipientCount()

    - #### getAttachmentCount

          public long getAttachmentCount()

    - #### setNextRecipientId

          public void setNextRecipientId(long nextRecipientId)

    - #### setNextAttachmentId

          public void setNextAttachmentId(long nextAttachmentId)

    - #### setRecipientCount

          public void setRecipientCount(long recipientCount)

    - #### setAttachmentCount

          public void setAttachmentCount(long attachmentCount)

    - #### readProperties

          protected void readProperties(java.io.InputStream stream)
                                 throws java.io.IOException

      Overrides:
        `readProperties` in class `PropertiesChunk`
      Throws:
        `java.io.IOException`

    - #### readValue

          public void readValue(java.io.InputStream value)
                         throws java.io.IOException

      Description copied from class: `Chunk`
      Reads the value of this chunk using an InputStream
      Specified by:
        `readValue` in class `Chunk`
      Throws:
        `java.io.IOException`

    - #### writeProperties

          protected java.util.List<PropertyValue> writeProperties(java.io.OutputStream stream)
                                                           throws java.io.IOException

      Description copied from class: `PropertiesChunk`
      Writes the header of the properties.
      Overrides:
        `writeProperties` in class `PropertiesChunk`
      Parameters:
        `stream` - The `OutputStream`.
      Returns:
        The variable-length properties that need to be written in another node.
      Throws:
        `java.io.IOException` - If an I/O error occurs.

    - #### writeValue

          public void writeValue(java.io.OutputStream stream)
                          throws java.io.IOException

      Description copied from class: `Chunk`
      Writes the value of this chunk back out again.
      Specified by:
        `writeValue` in class `Chunk`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.